Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
Get the public definition of a form
GET
/api/v1/forms/public/{token}
const url = 'https://api.pitch2sale.com/api/v1/forms/public/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.pitch2sale.com/api/v1/forms/public/exampleUnauthenticated; returns only the fields needed to render the form. 404 when the form is inactive.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”token
required
string
Responses
Section titled “Responses”OK
Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}